<div ng-controller="gremioController" ng-cloak>
  <div layout="row">
    <div flex="100">
      <md-toolbar class="md-table-toolbar md-default">
        <div class="md-toolbar-tools">
          <h2 class="md-title">Gremios</h2>
          <div class="flex" flex=""></div>
          <button class="md-icon-button md-button md-ink-ripple" type="button" ng-click="newGremio()" aria-label="add_circle">
            <md-icon class="material-icons">add_circle</md-icon>
            <div class="md-ripple-container"></div>
          </button>
        </div> 
        <md-input-container class="md-block" flex-gt-sm>
          <label>Filtro de b&uacute;squeda</label>
          <input ng-model='textGremiosFilter' />
        </md-input-container>		
      </md-toolbar>
      
      <md-table-container>
        <table md-table multiple ng-model="selected">
          <thead fix-head md-head>
            <tr md-row>
              <th md-column md-order-by="nombreToLower" ng-click="sortBy('nombre')"><span>NOMBRE GREMIO</span></th>
            </tr>
          </thead>
          <tbody md-body>
            <tr md-row md-select-id="id" md-auto-select ng-repeat="gremio in gremios | filter: gremiosFilter | orderBy:propertyName:reverse" " ng-click="gremioDetails(gremio.id)">
              <td md-cell>{{gremio.nombre}}</td>
            </tr>
          </tbody>
        </table>
      </md-table-container>
	
    </div>
    <div style="display: none" flex="100">
      <div class="md-dialog-container" id="gremioDialog" flex="100">
        <md-dialog aria-label="{{dialogAction}}" flex="80">
          <md-toolbar>
              <div class="md-toolbar-tools">
                <h2>{{dialogAction}}</h2>
                <span flex></span>
                <md-button class="md-icon-button" ng-click="cancel()"> <md-icon aria-label="Cerrar"> <i class="material-icons">clear</i></md-icon> </md-button>
              </div>
            </md-toolbar>
          <form name="gremioForm" id="gremioForm" novalidate class="panel panel-default" ng-submit="gremioForm.$valid && saveGremio(gremio)">
            <md-dialog-content>
              <div layout="column" flex="95">
                <md-input-container class="md-block" flex-gt-sm> <label>Nombre</label> <input md-maxlength="400" required name="nombre" ng-model="gremio.nombre" />
                  
                  <div ng-messages="gremioForm.nombre.$error">
                    <div ng-message="required">
                      <b>Nombre</b> obligatorio.
                    </div>
                    <div ng-message="md-maxlength">
                      El <b>Nombre</b> no debe superar los 400 caracteres.
                    </div>
                  </div>
                </md-input-container>
              </md-dialog-content>
              
              <md-dialog-actions layout="row">
                <md-button type="submit" id="saveGremio" class="md-raised md-primary">Guardar</md-button>
                <md-button type="button" class="md-raised md-warn" ng-click="removeGremio(gremio)" ng-if="gremio.id">Eliminar</md-button>
              </md-dialog-actions>
            </form>
          </md-dialog>
        </div>
      </div>
    </div>    
  </div>